Просьба для разработчиков плагинов прекратить поддержку Устаревшие версии PHP

Иэн Poulson опубликовал вдумчивый запрос на вкусный блог мозга просят WordPress плагин разработчиков прекратить поддержку устаревших версий PHP. Он охватывает некоторые из преимуществ разработки с новыми версиями PHP, что вкусные мозги делает со своими плагинами, и с помощью требует минимального PHP версия заголовок в readme.txt.

В то время как мы ждем обсуждения Trac катиться и WordPress развития колеса, чтобы включить мы можем принять меры сами в наших плагинов, чтобы остановить их работу над установками, которые не отвечают нашим требованиям.
Мы делаем это в наших собственных плагинов, где это строго необходимо(WP Offload S3 опирается на Amazon Web Services S3 SDK, который требует PHP 5.3.3 “, и мы будем двигаться к PHP 5.5 в будущем), и более плагины, которые делают это из выбора поможет двигаться т он иглы дальше.
Иэн Полсон

Poulson упоминает проект ServeHappy в своем посте, и это стоит упомянуть здесь. Проект ServeHappy был запущен в начале этого года группой добровольцев.

Его основная цель заключается в сокращении числа WordPress устанавливает работает на неподдерживаемых версий PHP через образование, осведомленность и инструменты, чтобы помочь пользователям обновить их сайта PHP версии.

Этот проект нуждается в вкладчиках. Если вы заинтересованы, присоединиться к #core-php канал на WordPress Slack. Команда проводит встречи каждый понедельник в 11:00 по edT. Вы также можете следить за тегом #core-php на сайте Make WordPress.org Core, где публикуются ссылки на журналы чатов и резюме заседаний.

Хотите написать для WP таверне? Мы всегда принимаем гостевые сообщения от сообщества и ищем новых участников. Свяжитесь с нами и давайте обсудим ваши идеи.

 

Оригинал: wptavern.com

Добавить комментарий

%d такие блоггеры, как: